PDA

View Full Version : FC7: yum & rpm can't see some packages



1xused
11th October 2007, 12:34 AM
Sometimes when I've tried to install packages lately with yum or rpm, I get a message like:

Error: Missing Dependency: libdts.so.0 is needed by package xine-lib-extras-nonfree
Error: Missing Dependency: libdts.so.0 is needed by package ffmpeg-libs
113 [user@host ~]$ locate libdts.so.0
/usr/lib/libdts.so.0
Why is this? What can I do so they will see them? Do I need to put a symlink somewhere, or something? The only files it's said this for, so far, have been in /usr/lib, if that means anything. They do the same thing with both sudo and su - .

Seve
11th October 2007, 12:58 AM
Hello:
Can you post the output of
yum repolist

and

The complete output of the package that you are trying to install ?

Seve

FriedChips
11th October 2007, 12:58 AM
could you post the whole command from yum in the terminal, from beginning to end

EDIT: sheesh seve :rolleyes:

1xused
11th October 2007, 03:46 AM
# yum repolist
repo id repo name status
Didier Didier's F7 yum repository for e17 apps/ enabled
fedora Fedora 7 - i386 enabled
livna Livna for Fedora Core 7 - i386 - Base enabled
updates Fedora 7 - i386 - Updates enabled
# yum install xine-lib-extras-nonfree
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package xine-lib-extras-nonfree.i386 0:1.1.7-1.lvn7 set to be updated
--> Processing Dependency: libavutil.so.49 for package: xine-lib-extras-nonfree
--> Processing Dependency: libvcdinfo.so.0 for package: xine-lib-extras-nonfree
--> Processing Dependency: libpostproc.so.51 for package: xine-lib-extras-nonfree
--> Processing Dependency: libavcodec.so.51 for package: xine-lib-extras-nonfree
--> Processing Dependency: vcdimager >= 0.7.23 for package: xine-lib-extras-nonfree
--> Processing Dependency: libdts.so.0 for package: xine-lib-extras-nonfree
--> Processing Dependency: libvcdinfo.so.0(VCDINFO_0) for package: xine-lib-extras-nonfree
--> Running transaction check
---> Package ffmpeg-libs.i386 0:0.4.9-0.37.20070503.lvn7 set to be updated
--> Processing Dependency: libfaac.so.0 for package: ffmpeg-libs
--> Processing Dependency: libx264.so.54 for package: ffmpeg-libs
--> Processing Dependency: libgsm.so.1 for package: ffmpeg-libs
--> Processing Dependency: faad2 < 2.5 for package: ffmpeg-libs
--> Processing Dependency: libImlib2.so.1 for package: ffmpeg-libs
--> Processing Dependency: libdts.so.0 for package: ffmpeg-libs
--> Processing Dependency: libmp3lame.so.0 for package: ffmpeg-libs
--> Processing Dependency: liba52.so.0 for package: ffmpeg-libs
---> Package vcdimager.i386 0:0.7.23-3.lvn6 set to be updated
---> Package xine-lib-extras-nonfree.i386 0:1.1.7-1.lvn7 set to be updated
--> Processing Dependency: libdts.so.0 for package: xine-lib-extras-nonfree
--> Running transaction check
---> Package x264.i386 0:0-0.8.20061028.lvn7 set to be updated
---> Package a52dec.i386 0:0.7.4-10.lvn6 set to be updated
---> Package faac.i386 0:1.25-2.lvn7 set to be updated
---> Package lame-libs.i386 0:3.97-4.lvn7 set to be updated
---> Package ffmpeg-libs.i386 0:0.4.9-0.37.20070503.lvn7 set to be updated
--> Processing Dependency: faad2 < 2.5 for package: ffmpeg-libs
--> Processing Dependency: libdts.so.0 for package: ffmpeg-libs
---> Package gsm.i386 0:1.0.12-3.fc7 set to be updated
---> Package imlib2.i386 0:1.4.0.003-1.20070827cvs.fc7 set to be updated
---> Package xine-lib-extras-nonfree.i386 0:1.1.7-1.lvn7 set to be updated
--> Processing Dependency: libdts.so.0 for package: xine-lib-extras-nonfree
--> Finished Dependency Resolution
Error: Missing Dependency: libdts.so.0 is needed by package xine-lib-extras-nonfree
Error: Missing Dependency: faad2 < 2.5 is needed by package ffmpeg-libs
Error: Missing Dependency: libdts.so.0 is needed by package ffmpeg-libs
#